link: release/7736
meta:
  added_date: 2018-01-11T19:54
  edited_date: 2022-09-17T23:48
  fetched_date: 2025-12-31T23:13
  ttl: 86400
  visitors: 404
name: 'Metroid: Other M'
picture_full: https://media.vgm.io/releases/63/7736/7736-1595349193.png
picture_small: https://thumb-media.vgm.io/releases/63/7736/7736-1595349193.png
product_albums: []
release_albums: []
type: Game Release
vgmdb_link: https://vgmdb.net/db/release.php?id=7736
